Show / Hide Table of Contents

# Struct SDL.INTERNAL_SysWMDriverUnion

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: SDL2

###### Assembly: SDL2-CS.dll

##### Syntax

    public struct INTERNAL_SysWMDriverUnion

### Fields

| Improve this Doc View Source

#### android

##### Declaration

    public SDL.INTERNAL_android_wminfo android

##### Field Value

Type | Description
--- | ---
SDL.INTERNAL_android_wminfo |

| Improve this Doc View Source

#### cocoa

##### Declaration

    public SDL.INTERNAL_cocoa_wminfo cocoa

##### Field Value

Type | Description
--- | ---
SDL.INTERNAL_cocoa_wminfo |

| Improve this Doc View Source

#### dfb

##### Declaration

    public SDL.INTERNAL_directfb_wminfo dfb

##### Field Value

Type | Description
--- | ---
SDL.INTERNAL_directfb_wminfo |

| Improve this Doc View Source

#### mir

##### Declaration

    public SDL.INTERNAL_mir_wminfo mir

##### Field Value

Type | Description
--- | ---
SDL.INTERNAL_mir_wminfo |

| Improve this Doc View Source

#### uikit

##### Declaration

    public SDL.INTERNAL_uikit_wminfo uikit

##### Field Value

Type | Description
--- | ---
SDL.INTERNAL_uikit_wminfo |

| Improve this Doc View Source

#### win

##### Declaration

    public SDL.INTERNAL_windows_wminfo win

##### Field Value

Type | Description
--- | ---
SDL.INTERNAL_windows_wminfo |

| Improve this Doc View Source

#### winrt

##### Declaration

    public SDL.INTERNAL_winrt_wminfo winrt

##### Field Value

Type | Description
--- | ---
SDL.INTERNAL_winrt_wminfo |

| Improve this Doc View Source

#### wl

##### Declaration

    public SDL.INTERNAL_wayland_wminfo wl

##### Field Value

Type | Description
--- | ---
SDL.INTERNAL_wayland_wminfo |

| Improve this Doc View Source

#### x11

##### Declaration

    public SDL.INTERNAL_x11_wminfo x11

##### Field Value

Type | Description
--- | ---
SDL.INTERNAL_x11_wminfo |